Hello,
just to let you know:
I wanted to upgrade the firmware of a new WiPort via DeviceInstaller but always received an "Incorrect block sequence" error.
The reason for this is, that there is no upgrade possible until CPU-Performance setting is "High". Switching it back to "Low" or "Regular" and the upgrade works again.
Well, I found the answer in the Knowledge Base by mistake, because the corresponding article contains none of the above mentioned error message terms:

http://ltxfaq.custhelp.com/app/answers/detail/a_id/1844

(So, when can I expect a V7.0.0.0 firmware for my WiPorts?)

Best regards,
Holger